Package Details: somagic-easycap-smi2021-git v0.0.1.r46.g61569ba-3

Git Clone URL: https://aur.archlinux.org/somagic-easycap-smi2021-git.git (read-only)
Package Base: somagic-easycap-smi2021-git
Description: EasyCap driver module
Upstream URL: https://github.com/Manouchehri/smi2021
Keywords: easycap smi2021 somagic v4l
Licenses: GPL
Conflicts: smi2021, somagic-easycap-smi2021
Provides: smi2021, somagic-easycap-smi2021
Submitter: Manouchehri
Maintainer: 2bluesc (NBonaparte)
Last Packager: NBonaparte
Votes: 4
Popularity: 0.000002
First Submitted: 2015-08-26 15:37
Last Updated: 2016-12-14 19:27

Latest Comments

NBonaparte commented on 2016-12-14 06:14

I've added the patch to the package; it should build without any errors now. This should do until upstream merges my PR. Thanks for adding me @2bluesc!

2bluesc commented on 2016-12-14 05:38

Hey @NBonaparte just added you as a co-maintainer, please merge any fixes you like!

NBonaparte commented on 2016-12-14 04:24

Anyone willing to merge the 4.8 fix? (https://github.com/Manouchehri/smi2021/pull/31)

paulscottrobson commented on 2016-10-24 14:09

This now doesn't compile. To fix it, build using makepkg in the usual way, when it crashes edit src/smi2021/smi2021_v4l2.c line 270 so it is

.queue_setup = (void *)queue_setup,

(e.g. add the (void *)) and this fixes the type error, rebuild it with makepkg -irse (e stops the source being redownloaded) and it should work.

Manouchehri commented on 2016-02-24 00:32

The arch is also wrong (my mistake).

It should be arch=('i686' 'x86_64') since it needs to be recompiled between different architectures (kernel modules aren't written in an interpreted language).

2bluesc commented on 2016-02-24 00:27

@NBonaparte, thanks for the heads-up. Typo on my my part. All fixed.

NBonaparte commented on 2016-02-22 23:49

Hi 2bluesc, could you change the make dependencies in the PKGBUILD to two separate items ('git' and 'linux-headers')?